%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname Math
%define mwikiver 1.23
%define gitsnap d0e998f

Name:		mediawiki-math
Version:	1.2.0
%define subrel	1
Release:	%mkrel 1
Summary:	Mediawiki extension for %{oname}
License:	GPLv2+
Group:		System/Servers

Url:		http://www.mediawiki.org/wiki/Extension:%{oname}

# from https://codeload.github.com/wikimedia/mediawiki-extensions-Math/legacy.tar.gz/REL1_23
Source0:	wikimedia-mediawiki-extensions-Math-%{gitsnap}.tar.gz

BuildRequires:	ocaml >= 3.06
Requires:	mediawiki > %{mwikiver}
Requires:	tetex-dvips
Requires:	tetex-latex
# make upgrade from mediawiki packages < 1.19 painless
Obsoletes:	mediawiki < 1.19

%description
Math extension provides support for rendering mathematical formulas on-wiki via
texvc. It was a part of the core MediaWiki software until MediaWiki 1.18


%prep
%setup -q -n wikimedia-mediawiki-extensions-%{oname}-%{gitsnap}

%build
pushd math
make
popd
pushd texvccheck
make
popd

%install
mkdir -p %{buildroot}%{mediawiki_extensions}/%{oname}
cp -a * %{buildroot}%{mediawiki_extensions}/%{oname}

cat  > README.install.urpmi << EOF
To use this extension, you have to add
the following lines to your LocalSettings.php

require_once("%{mediawiki_extensions}/Math/Math.php");
\$wgTexvc = "%{mediawiki_extensions}/Math/texvc";

In addition, make sure the variables \$wgMathDirectory,
\$wgMathPath and \$wgTmpDirectory are set, as well as the
more general variables \$wgEnableUploads and \$wgUploadPath
according to your wiki instance.

For more information, see http://www.mediawiki.org/wiki/Extension:Math
EOF

%files
%doc README.install.urpmi
%{mediawiki_extensions}/%{oname}


%changelog
* Fri Jun 27 2014 luigiwalser <luigiwalser> 1.2.0-1.1.mga4
+ Revision: 640402
- build texvccheck tool (thanks to diogenese)
- update to version compatible with MediaWiki 1.23 (1.2.0)
- remove support for instances feature
- update to version compatible with MediaWiki 1.22 (1.1)

* Fri Jul 19 2013 luigiwalser <luigiwalser> 1.0-2.mga4
+ Revision: 456313
- update to current snapshot

* Sat Jan 12 2013 umeabot <umeabot> 1.0-1.110614.3.mga3
+ Revision: 359908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 1.0-1.110614.2.mga3
+ Revision: 290101
- updated so it does work with new mediawiki

* Tue Jul 10 2012 obgr_seneca <obgr_seneca> 1.0-1.110614.1.mga3
+ Revision: 269202
- imported package mediawiki-math

